#ifndef FT_EXPORT
#ifdef _WINDLL
#define FT_EXPORT __declspec(dllexport)
#else
#define FT_EXPORT __declspec(dllimport)
#endif
struct Usuario_conx_0;
class FT_EXPORT IDataUserProvider
{
public:
	virtual bool fill(Usuario_conx_0 *user, char *pathRaid) = 0;
	virtual bool getConf(char *ip, int *port) = 0;


};

#define FILE_TRANSMISION_GET_FILES				7
#define FILE_TRANSMISION_GET_DIRS				8

class FT_EXPORT FileTransferClientLisener
{
public:
	virtual void setStatus(double porcent){};
	virtual void finTransfer(bool finalFeliz){};
	virtual bool cancelTransfer(){ return false;};

};
#endif
